package cn.gov.customs.wxjy.base.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import cn.gov.customs.wxjy.base.pojo.GoodsCatalog;
import cn.gov.customs.wxjy.base.pojo.GoodsCatalogQuery;

/**
 * 基础数据-危险货物目录Mapper接口
 *
 * @author xiong
 * @date 2025-12-16
 */
@Mapper
public interface GoodsCatalogMapper {
    /**
     * 查询基础数据-危险货物目录
     *
     * @param ID 基础数据-危险货物目录主键
     * @return 基础数据-危险货物目录
     */
    public GoodsCatalog selectByID(String ID);

    /**
     * 查询基础数据-危险货物目录列表
     *
     * @param goodsCatalog 基础数据-危险货物目录
     * @return 基础数据-危险货物目录集合
     */
    public List<GoodsCatalog> selectList(GoodsCatalogQuery goodsCatalog);

    /**
     * 新增基础数据-危险货物目录
     *
     * @param goodsCatalog 基础数据-危险货物目录
     * @return 结果
     */
    public int insert(GoodsCatalog goodsCatalog);

    /**
     * 修改基础数据-危险货物目录
     *
     * @param goodsCatalog 基础数据-危险货物目录
     * @return 结果
     */
    public int update(GoodsCatalog goodsCatalog);

    /**
     * 删除基础数据-危险货物目录
     *
     * @param ID 基础数据-危险货物目录主键
     * @return 结果
     */
    public int deleteByID(String ID);

    /**
     * 批量删除基础数据-危险货物目录
     *
     * @param IDs 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteByIDs(String[] IDs);

    /**
     * 逻辑删除基础数据-危险货物目录
     *
     * @param ID 基础数据-危险货物目录主键
     * @return 结果
     */
    public int logicDelete(String ID);
}
